/*
   base.css
   <project>
   
   Created by 洁鑫 on 2017-03-05.
   Copyright 2017 洁鑫. All rights reserved.
*/


/* ============= */
/* = css reset = */
/* ============= */

body, h1, h2, h3, h4, h5, h6, p, ul, ol, dl, dd, fieldset {
	/*取消以上元素的默认外边距*/
	margin: 0;
}

ul, ol, th, td, fieldset, legend, input, textarea, button {
	/*取消以上元素的默认内边距*/
	padding: 0;
}

/*在body设置样式，用于子元素继承*/
body {
	font-family: "微软雅黑";
	font-size: 14px;
	line-height: 1;
	color: #333;
	background-color: #fff;
}

h1, h2, h3, h4, h5, h6 {
	/*100%等效于 inherit*/
	font-size: 100%;
	font-weight: normal;
}

a {
	/*a[href]默认不会继承颜色样式，注意IE7不支持属性值"inherit"*/
	color: inherit;
	text-decoration: none;
	/*消除a元素在IE7下获取焦点时产生的虚线边框*/
	*blr: expression(this.onFocus=this.blur());
	/*消除a元素在IE8/9下获取焦点时产生的虚线边框*/
	outline: none;
}

em {
	font-style: normal;
}


/*address, cite, dfn, em, var {
    font-style: normal;
}*/

img,
fieldset {
	/*消除IE下img被a包裹而产生的边框*/
	border: 0;
}

ul,
ol {
	padding-left: 0;
	list-style: none;
}

table {
	/*合并边框*/
	border-collapse: collapse;
}

caption,
th {
	/*取消caption和th元素默认的水平居中和粗体*/
	text-align: left;
	font-weight: normal;
}

input,
textarea,
button {
	/*取消输入框和文本域在chrome下获得焦点时默认产生的蓝色边框*/
	outline: none;
}

input,
button,
select,
textarea {
	/*继承字体系列、尺寸、粗细、样式、行高*/
	font: inherit;
	/*表单元素默认不继承颜色和字体样式*/
	color: inherit;
}

textarea {
	/*取消textarea在IE下默认出现的滚动条*/
	overflow: auto;
	/*取消textarea在FF和chrome下默认可拖拽改变尺寸的设置*/
	resize: none;
}

input[type="submit"],
input[type="reset"],
button {
	/*根据项目要求修改光标样式*/
	cursor: pointer;
}
/* ============= */
/* = css 原子类 = */
/* ============= */

/*定位*/
.pr {position: relative}
.pa {position: absolute}
.abs-right {position: absolute;right: 0;}
.fl {float: left}
.fr {float: right}
.bc {margin-left: auto; margin-right: auto;}
.tl {text-align: left}
.tr {text-align: right}
.tc {text-align: center}
.cl {clear: left}
.cr {clear: right}
.cb {clear: both}
.clearfix {*zoom: 1}
.clearfix:after {
	display: block;
	height: 0;
	clear: both;
	content: "";
	visibility: hidden;
}
.vm {vertical-align: middle}
.child-vm:after {
	display: inline-block;
	width: 0;
	height: 100%;
	vertical-align: middle;
	content: "";
}
.hide {display: none}/*提高优先级，避免display:inline-block的元素应用该样式无法隐藏，但是发现jq的show()无效*/
.show {display: block}
.invisible {visibility: hidden}

/*文字排版*/
.fs {font-family: "宋体"}
.fm {font-family: "微软雅黑"}
.f12 {font-size: 12px}
.f14 {font-size: 14px}
.f16 {font-size: 16px}
.f20 {font-size: 20px}
.fb {font-weight: bold}
.fn {font-weight: normal}

/*边距*/
.mt5 {margin-top: 5px}
.mt10 {margin-top: 10px}
.mt15 {margin-top: 15px}
.mt20 {margin-top: 20px}
.mt30 {margin-top: 30px}
.mb5 {margin-bottom: 5px}
.mb10 {margin-bottom: 10px}
.mb15 {margin-bottom: 15px}
.mb20 {margin-bottom: 20px}
.mb30 {margin-bottom: 30px}
.ml5 {margin-left: 5px}
.ml10 {margin-left: 10px}
.ml15 {margin-left: 15px}
.ml20 {margin-left: 20px}
.ml30 {margin-left: 30px}
.mr5 {margin-right: 5px}
.mr10 {margin-right: 10px}
.mr15 {margin-right: 15px}
.mr20 {margin-right: 20px}
.mr30 {margin-right: 30px}
.pt5 {padding-top: 5px}
.pt10 {padding-top: 10px}
.pt15 {padding-top: 15px}
.pt20 {padding-top: 20px}
.pt30 {padding-top: 30px}
.pb5 {padding-bottom: 5px}
.pb10 {padding-bottom: 10px}
.pb15 {padding-bottom: 15px}
.pb20 {padding-bottom: 20px}
.pb30 {padding-bottom: 30px}
.pl5 {padding-left: 5px}
.pl10 {padding-left: 10px}
.pl15 {padding-left: 15px}
.pl20 {padding-left: 20px}
.pl30 {padding-left: 30px}
.pr5 {padding-right: 5px}
.pr10 {padding-right: 10px}
.pr15 {padding-right: 15px}
.pr20 {padding-right: 20px}
.pr30 {padding-right: 30px}

/*容器*/
.container {
	width: 1200px;
	margin: auto;
}

.nowrap {
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}


/* =========== */
/* = 常用组件 = */
/* =========== */

/*按钮*/
.btn {  /*IE下，button在点击，即获得焦点时会凹陷下去*/
  display: inline-block; /*主要是针对a元素*/
  text-align: center;
  white-space: nowrap;
  border: none;  /*IE7不支持透明颜色*/
  cursor: pointer;
}

/*图标*/
/*使用背景图做图标时；使用时再设置一个background-image属性样式的icon-*即可*/
.icon {
	display: inline-block;
  background-repeat: no-repeat;
  background-position: center;
}

/*考虑中*/

/*
.text-hide {
  font: 0/0 a;
  color: transparent;
  text-shadow: none;
  background-color: transparent;
  border: 0;
}*/

/*body,div,dl,dt,dd,ul,ol,li,h1,h2,h3,h4,h5,h6,pre,forp,fieldset,input,textarea,p,blockquote,th,td{padding:0;padding:0}*/

/*q:before,q:after{content:''}*/

/*img,fieldset,abbr,acronym{border:0}*/

/*address,caption,cite,code,dfn,em,strong,var{font-style:noraml;font-weight:normal}*/

/*blockquote, q {
quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
content: '';
content: none;
} */


